summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xauto/build1
-rw-r--r--config/chroot_local-includes/etc/xdg/autostart/tails-configure-keyboard.desktop10
-rwxr-xr-xconfig/chroot_local-includes/usr/local/bin/tails-configure-keyboard10
-rw-r--r--config/chroot_local-includes/var/lib/tails-user-session/.placeholder0
4 files changed, 21 insertions, 0 deletions
diff --git a/auto/build b/auto/build
index e90740e..40caebf 100755
--- a/auto/build
+++ b/auto/build
@@ -59,6 +59,7 @@ chmod -R go+rX config/chroot_local-includes/usr
chmod -R go+rx config/chroot_local-includes/usr/local/bin
chmod -R go+rx config/chroot_local-includes/usr/local/sbin
chmod -R go+rX config/chroot_local-includes/usr/share/doc/tails
+chmod -R go+rX config/chroot_local-includes/var
chmod -R go+rX config/chroot_apt
chmod -R go+rX config/chroot_sources
diff --git a/config/chroot_local-includes/etc/xdg/autostart/tails-configure-keyboard.desktop b/config/chroot_local-includes/etc/xdg/autostart/tails-configure-keyboard.desktop
new file mode 100644
index 0000000..03618a2
--- /dev/null
+++ b/config/chroot_local-includes/etc/xdg/autostart/tails-configure-keyboard.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=tails-configure-keyboard
+GenericName=configure the keyboard layout
+Comment=configure the keyboard layout according to settings chosen in Tails Greeter
+Exec=/usr/local/bin/tails-configure-keyboard
+Terminal=false
+Type=Application
+Categories=GNOME;X-GNOME-PersonalSettings;
+NoDisplay=true
+MimeType=application/x-tails-configure-keyboard;
diff --git a/config/chroot_local-includes/usr/local/bin/tails-configure-keyboard b/config/chroot_local-includes/usr/local/bin/tails-configure-keyboard
new file mode 100755
index 0000000..b384ff3
--- /dev/null
+++ b/config/chroot_local-includes/usr/local/bin/tails-configure-keyboard
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -eu
+
+# Get $TAILS_XKBMODEL, $TAILS_XKBLAYOUT, $TAILS_XKBVARIANT and $TAILS_XKBOPTIONS
+. /var/lib/tails-user-session/keyboard
+
+dconf write /org/gnome/libgnomekbd/keyboard/model "'$XKBMODEL'"
+dconf write /org/gnome/libgnomekbd/keyboard/layouts "['$XKBLAYOUT\\t$XKBVARIANT']"
+dconf write /org/gnome/libgnomekbd/keyboard/options "['$XKBOPTIONS']"
diff --git a/config/chroot_local-includes/var/lib/tails-user-session/.placeholder b/config/chroot_local-includes/var/lib/tails-user-session/.placeholder
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/config/chroot_local-includes/var/lib/tails-user-session/.placeholder